export declare type ErrorCallback = (message: string) => void;
export declare type FormatPropertyNameProto = (propertyName: string) => string;
export declare type Policy = 'allow' | 'disallow' | 'remove';
export declare class JsonSerializerOptions {
    errorCallback?: ErrorCallback;
    nullishPolicy: NullishPolicy;
    additionalPropertiesPolicy: Policy;
    formatPropertyName?: FormatPropertyNameProto;
}
export interface NullishPolicy {
    undefined: Policy;
    null: Policy;
}
export declare const throwError: (message: string) => never;
export declare const logError: (message: string) => void;
